- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDOptionalLineStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalLineStyle ()
| VSDOptionalLineStyle (const boost::optional< double > &w, const boost::optional< Colour > &col, const boost::optional< unsigned char > &p, const boost::optional< unsigned char > &sm, const boost::optional< unsigned char > &em, const boost::optional< unsigned char > &c)
| VSDOptionalLineStyle (const VSDOptionalLineStyle &style)
| ~VSDOptionalLineStyle ()
void | override (const VSDOptionalLineStyle &style)

## Public Attributes
boost::optional< double > | width
boost::optional< Colour > | colour
boost::optional< unsigned char > | pattern
boost::optional< unsigned char > | startMarker
boost::optional< unsigned char > | endMarker
boost::optional< unsigned char > | cap

## Constructor & Destructor Documentation

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( |  | ) |
| inline

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( | const boost::optional< double > & | w,
|  | const boost::optional< Colour > & | col,
|  | const boost::optional< unsigned char > & | p,
|  | const boost::optional< unsigned char > & | sm,
|  | const boost::optional< unsigned char > & | em,
|  | const boost::optional< unsigned char > & | c
| ) |  |
| inline

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( | const VSDOptionalLineStyle & | style | ) |
| inline

libvisio::VSDOptionalLineStyle::~VSDOptionalLineStyle | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDOptionalLineStyle::override | ( | const VSDOptionalLineStyle & | style | ) |
| inline

Referenced by libvisio::VSDStyles::getOptionalLineStyle().

## Member Data Documentation

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::cap

Referenced by override().

boost::optional<Colour> libvisio::VSDOptionalLineStyle::colour

Referenced by override().

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::endMarker

Referenced by override().

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::pattern

Referenced by override().

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::startMarker

Referenced by override().

boost::optional<double> libvisio::VSDOptionalLineStyle::width

Referenced by override().

The documentation for this struct was generated from the following file:

- VSDStyles.h